package org.rcisoft.business.memTraffic.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2025年2月13日 上午10:00:53.
*/
@Data
@TableName("mem_traffic")
public class MemTraffic  extends CyIdNotDataEntity<MemTraffic> {


     /**
     * @desc 用户id
     * @column user_id
     * @default 
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     /**
     * @desc 访问量
     * @column mem_traffic
     * @default 
     */
     @Excel(name = "访问量", orderNum = "1", width = 20)
     private BigInteger memTraffic;

     /**
     * @desc 创建时间
     * @column create_date
     * @default 
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "创建时间", orderNum = "2", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date createDate;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     /**
     * 用户名称
     */
     @TableField(exist = false)
     private String nickName;

     /**
      * 访问量
      */
     @TableField(exist = false)
     private BigInteger totalMemTraffic;

     /**
      * 用户编号
      */
     @TableField(exist = false)
     private BigInteger memCode;

     /**
      * 会员id
      */
     @TableField(exist = false)
     private BigInteger memberId;
}

