package org.rcisoft.business.memTraffic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.memTraffic.entity.MemTraffic;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2025年2月13日 上午10:00:53.
 */
public interface MemTrafficService {

    /**
    * 保存 访问量表
    * @param memTraffic
    * @return
    */
    CyPersistModel persist(MemTraffic memTraffic);

    /**
    * 删除 访问量表
    * @param memTraffic
    * @return
    */
    CyPersistModel remove(MemTraffic memTraffic);

    /**
    * 修改 访问量表
    * @param memTraffic
    * @return
    */
    CyPersistModel merge(MemTraffic memTraffic);

    /**
    * 根据id查询 访问量表
    * @param id
    * @return
    */
    MemTraffic findById(int id);

    /**
    * 分页查询 访问量表
    * @param memTraffic
    * @return
    */
    IPage<MemTraffic> findAllByPagination(CyPageInfo<MemTraffic> paginationUtility,
              MemTraffic memTraffic);


    /**
    * 查询list 访问量表
    * @param memTraffic
    * @return
    */
    List<MemTraffic> findAll(MemTraffic memTraffic);


    /**
    * 导出访问量表
    * @return
    */
    List<MemTraffic> export(MemTraffic memTraffic);

}
